Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.ra.domain
Class LocalizedString.Builder

    java.lang.Object
      be.fgov.ehealth.technicalconnector.ra.domain.LocalizedString.Builder

Enclosing class:
  LocalizedString

    public static final class LocalizedString.Builder

extends Object

`LocalizedString` builder static inner class.

Method Summary
`LocalizedString` | `build()` Returns a `LocalizedString` built from the parameters previously set.
`LocalizedString.Builder` | `lang(String lang)` Sets the `lang` and returns a reference to this Builder so that the methods can be chained together.
`LocalizedString.Builder` | `value(String value)` Sets the `value` and returns a reference to this Builder so that the methods can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### value

    public LocalizedString.Builder value(String value)

  Sets the `value` and returns a reference to this Builder so that the methods can be chained together.

  Parameters:
    `value` - the `value` to set
  Returns:
    a reference to this Builder

### lang

    public LocalizedString.Builder lang(String lang)

  Sets the `lang` and returns a reference to this Builder so that the methods can be chained together.

  Parameters:
    `lang` - the `lang` to set
  Returns:
    a reference to this Builder

### build

    public LocalizedString build()

  Returns a `LocalizedString` built from the parameters previously set.

  Returns:
    a `LocalizedString` built with parameters of this `LocalizedString.Builder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.